//-----------------------------------------------------------------------------------
// File: fmod.h
//
// Desc: Eine Klasse zum Benutzen von FMOD. Sorry, dass der Header auch fmod.h
//			 heisst, aber bin halt schlecht im Namen ausdenken ;-)
//
// Copyright (C) 2003 by Johannes Bergmann <jobe@fambgm.de>
//
// This program is free software; you can redistribute ist and/or modify it under
// the terms of the GNU General Public License as published by the Free Software
// Foundation; either version 2 of the License, or (at your option) any later
// version.
// This program is distributed in the hope that it will be useful, but WITHOUT ANY
// WARRANTY; without even the implied Warranty of MERCHANTABILITY or FITNESS FOR A
// PARTICULAR PURPOSE. See the GNU General Public License for more details.
// You should have received a copy of the GNU General Public License along with this
// program; if not, write to the Free Software Foundation, Inc., 675 Mass Ave,
// Cambridge, MA 02139, USA.
//-----------------------------------------------------------------------------------
#ifndef __FMOD_HEADER__
#define __FMOD_HEADER__


// Aus nem fmod-sample geklaut ;-)
#include <stdio.h>
#include <stdlib.h>
#if defined(WIN32) || defined(__WATCOMC__)
   #include <windows.h>
    #include <conio.h>
#else
    #include "include/wincompat.h"
#endif

#include "include/fmod.h"
#include "include/fmod_errors.h"




// Was Globales, igitt
static bool g_bAllreadyInitFmod = false;
static int	g_iInstances				= 0;


//-----------------------------------------------------------------------------------
// Name: CSound
// Desc: Klasse, um einen Sound abzuspielen
//-----------------------------------------------------------------------------------
class CSound
{
public:
	CSound(const char *chFilename = NULL);
	~CSound();

	bool Load(const char *chFilename);
	bool Play(bool bLoop = false);
	void Stop();

#ifndef WIN32
	static signed char StopSoundCB(FSOUND_STREAM *stream, void *buff, int len, int param);
#else
	static signed char __stdcall StopSoundCB(FSOUND_STREAM *stream,void *buff,int len,int param);
#endif

protected:
	FSOUND_STREAM	*m_stream;
};





#endif
//-----------------------------------------------------------------------------------
