//-----------------------------------------------------------------------------------
// File:		log.h
//
// Version:	2.0
//
// Desc:		Headerdatei der Log-Klasse
//
// Copyright:	Open-Source
// Autor:		Johannes Bergmann
// Kontakt:		jobe@fambgm.de
//-----------------------------------------------------------------------------------
#ifndef __LOG_HEADER__
#define __LOG_HEADER__

#include <stdio.h>
#include <stdlib.h>
#include <stdarg.h>
#include <time.h>




//-----------------------------------------------------------------------------------
// Name: CLog
// Desc: Rumpf der Log-Klasse
//-----------------------------------------------------------------------------------
class CLog
{
public:
	CLog();
	CLog(const char * chFilename);
	~CLog();

	bool Create(const char * chFilename);
	bool Write(unsigned short int iDepth, const char * chText, ...);
	bool Close();

private:
	bool 		m_bLoaded;
	FILE		*m_fz;
	time_t		m_Time;
	tm			*m_curTime;
};




// Schutz vor mehrfachem Includieren
#endif

